1

When trying to install wine, I got the following error:

dpkg: error processing package libsasl2-modules:i386 (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.23-0ubuntu5) ...
Errors were encountered while processing:
libssl1.1:amd64
libssl1.1:i386
libsasl2-modules:amd64
libsasl2-modules:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

Can someone help me fix this? i did

dpkg --configure -a  

output:

dpkg: error: requested operation requires superuser privilege

doing:

sudo dpkg --configure -a 

did:

Setting up libssl1.1:i386 (1.1.0e-1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by  
another process: Resource temporarily unavailable
dpkg: error processing package libssl1.1:i386 (--configure):
subprocess installed post-installation script returned error exit 
status 1
dpkg: dependency problems prevent configuration of libsasl2-
modules:amd64:
libsasl2-modules:amd64 depends on libssl1.1 (>= 1.1.0); however:
Package libssl1.1:amd64 is not configured yet.

dpkg: error processing package libsasl2-modules:amd64 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libsasl2-
modules:i386:
libsasl2-modules:i386 depends on libssl1.1 (>= 1.1.0); however:
Package libssl1.1:i386 is not configured yet.

dpkg: error processing package libsasl2-modules:i386 (--configure):
dependency problems - leaving unconfigured
Processing triggers for libc-bin (2.23-0ubuntu5) ...
Errors were encountered while processing:
libssl1.1:i386
libsasl2-modules:amd64
libsasl2-modules:i386

did:

sudo dpkg --configure -a --force-depends

output:

Setting up libssl1.1:i386 (1.1.0e-1) ...
debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by 
another process: Resource temporarily unavailable
dpkg: error processing package libssl1.1:i386 (--configure):
subprocess installed post-installation script returned error exit 
status 1
dpkg: libsasl2-modules:i386: dependency problems, but configuring 
anyway as you requested:
libsasl2-modules:i386 depends on libssl1.1 (>= 1.1.0); however:
Package libssl1.1:i386 is not configured yet.

Setting up libsasl2-modules:i386 (2.1.27~101-g0780600+dfsg-2) ...
dpkg: libsasl2-modules:amd64: dependency problems, but configuring 
anyway as you requested:
libsasl2-modules:amd64 depends on libssl1.1 (>= 1.1.0); however:
Package libssl1.1:amd64 is not configured yet.

Setting up libsasl2-modules:amd64 (2.1.27~101-g0780600+dfsg-2) ...
Processing triggers for libc-bin (2.23-0ubuntu5) ...
Errors were encountered while processing:
libssl1.1:i386

i did:

sudo fuser -v -k /var/cache/debconf/config.dat

output:

USER        PID ACCESS COMMAND
/var/cache/debconf/config.dat:
                 root      16901 F.... dpkg-preconfigu

now it says:

dpkg: error: dpkg status database is locked by another process

but wine seems to have installed

4
  • Try dpkg --configure -a and edit your question with the output.
    – M. Becerra
    Mar 20 '17 at 18:41
  • Well, go with sudo dpkg --configure -a
    – M. Becerra
    Mar 20 '17 at 19:07
  • Run sudo fuser -v -k /var/cache/debconf/config.dat and post the output
    – M. Becerra
    Mar 20 '17 at 19:25
  • Now do sudo kill 16901 & sudo kill -9 16901 and try sudo dpkg --configure -a --force-depends again.
    – M. Becerra
    Mar 20 '17 at 19:47
1

As we can read from

dpkg: error processing package libsasl2-modules:i386 (--configure):
dependency problems - leaving unconfigured

1. You have to run

dpkg --configure -a

Which gave us

debconf: DbDriver "config": /var/cache/debconf/config.dat is locked by  
another process: Resource temporarily unavailable

2. So in order to unlock /var/cache/debconf/config.dat:

sudo fuser -v -k /var/cache/debconf/config.dat

or run

sudo fuser -v /var/cache/debconf/config.dat

and kill the process using the given PID, such as:

sudo kill PID_HERE & sudo kill -9 PID_HERE


Now after that, dpkg --configure -a should be able to solve the issue, if not, try with sudo dpkg --configure -a --force-depends.


Sources & further information:

http://manpages.ubuntu.com/manpages/xenial/en/man1/dpkg.1.html

http://manpages.ubuntu.com/manpages/xenial/en/man1/fuser.1.html

1
  • Thank you, this works!
    – Player1
    Apr 28 '20 at 16:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.